Macro
SEQAN_PATH_TO_ROOT
Return path to the checkout root directory (i.e. containing core/extras).
Note: This only works when using the SeqAn SVN checkout!
SEQAN_PATH_TO_ROOT()
Remarks
The pointed to string is initialized on program startup by the code generated by SEQAN_BEGIN_TESTSUITE.
Return Values
char const *, string with the path to the parent directory of the tests directory.
Examples
const char *p = SEQAN_PATH_TO_ROOT);
char buffer[1000];
strcpy(buffer, p);
strcat(buffer, "/tests/files/example.txt");
FILE *f = fopen(buffer, "w");
fprintf(f, "Test Data");
fclose(f);
See Also
SEQAN_TEMP_FILENAME
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59